SeExpr

Public Slots | Signals | Public Member Functions | Public Attributes | Private Types | Private Slots | Private Attributes | List of all members
ExprColorCurve Class Reference

`#include <ExprColorCurve.h>`

Inheritance diagram for ExprColorCurve:

## Public Slots
void | cvSelectedSlot (const double pos, const SeExpr2::Vec3d val, const T_INTERP interp)
void | selPosChanged ()
void | openDetail ()

## Signals
void | selPosChangedSignal (double pos)
void | selValChangedSignal (SeExpr2::Vec3d val)
void | swatchChanged (QColor color)

## Public Member Functions
| ExprColorCurve (QWidget *parent=0, QString pLabel="", QString vLabel="", QString iLabel="", bool expandable=true)
| ~ExprColorCurve ()
void | addPoint (const double x, const SeExpr2::Vec3d y, const T_INTERP interp, bool select=false)
void | setSwatchColor (QColor color)
QColor | getSwatchColor ()

## Public Attributes
CCurveScene * | _scene

## Private Types
typedef SeExpr2::Curve< SeExpr2::Vec3d > | T_CURVE
typedef T_CURVE::InterpType | T_INTERP

## Private Slots
void | internalSwatchChanged (QColor color)

## Private Attributes
QLineEdit * | _selPosEdit
ExprCSwatchFrame * | _selValEdit
QComboBox * | _interpComboBox

## Detailed Description

Definition at line 137 of file ExprColorCurve.h.

## Member Typedef Documentation

## ◆ T_CURVE

typedef SeExpr2::Curve<SeExpr2::Vec3d> ExprColorCurve::T_CURVE
| private

Definition at line 140 of file ExprColorCurve.h.

## ◆ T_INTERP

typedef T_CURVE::InterpType ExprColorCurve::T_INTERP
| private

Definition at line 141 of file ExprColorCurve.h.

## Constructor & Destructor Documentation

## ◆ ExprColorCurve()

ExprColorCurve::ExprColorCurve | ( | QWidget * | parent = `0`,
|  | QString | pLabel = `""`,
|  | QString | vLabel = `""`,
|  | QString | iLabel = `""`,
|  | bool | expandable = `true`
| ) |  |

Definition at line 346 of file ExprColorCurve.cpp.

References _interpComboBox, _scene, _selPosEdit, _selValEdit, cvSelectedSlot(), internalSwatchChanged(), openDetail(), selPosChanged(), selPosChangedSignal(), selValChangedSignal(), and swatchChanged().

Referenced by openDetail().

## ◆ ~ExprColorCurve()

ExprColorCurve::~ExprColorCurve | ( |  | ) |
| inline

Definition at line 149 of file ExprColorCurve.h.

## Member Function Documentation

## ◆ addPoint()

void ExprColorCurve::addPoint | ( | const double | x,
|  | const SeExpr2::Vec3d | y,
|  | const T_INTERP | interp,
|  | bool | select = `false`
| ) |  |

Definition at line 485 of file ExprColorCurve.cpp.

References _scene, CCurveScene::addPoint(), x, and y.

Referenced by CCurveControl::CCurveControl(), and openDetail().

## ◆ cvSelectedSlot

void ExprColorCurve::cvSelectedSlot | ( | const double | pos,
|  | const SeExpr2::Vec3d | val,
|  | const T_INTERP | interp
| ) |  |
| slot

Definition at line 467 of file ExprColorCurve.cpp.

References _interpComboBox, _selPosEdit, _selValEdit, ExprCSwatchFrame::setValue(), and swatchChanged().

Referenced by ExprColorCurve().

## ◆ getSwatchColor()

QColor ExprColorCurve::getSwatchColor | ( |  | ) |

Definition at line 495 of file ExprColorCurve.cpp.

References _selValEdit, and ExprCSwatchFrame::getValue().

Referenced by CCurveControl::getColor().

## ◆ internalSwatchChanged

void ExprColorCurve::internalSwatchChanged | ( | QColor | color | ) |
| private slot

Definition at line 500 of file ExprColorCurve.cpp.

References swatchChanged().

Referenced by ExprColorCurve().

## ◆ openDetail

void ExprColorCurve::openDetail | ( |  | ) |
| slot

Definition at line 502 of file ExprColorCurve.cpp.

References CCurveScene::_cvs, _scene, addPoint(), SeExpr2::curve, CCurveScene::emitCurveChanged(), ExprColorCurve(), and CCurveScene::removeAll().

Referenced by ExprColorCurve().

## ◆ selPosChanged

void ExprColorCurve::selPosChanged | ( |  | ) |
| slot

Definition at line 479 of file ExprColorCurve.cpp.

References _selPosEdit, SeExpr2::clamp(), and selPosChangedSignal().

Referenced by ExprColorCurve().

## ◆ selPosChangedSignal

void ExprColorCurve::selPosChangedSignal | ( | double | pos | ) |
| signal

Referenced by ExprColorCurve(), and selPosChanged().

## ◆ selValChangedSignal

void ExprColorCurve::selValChangedSignal | ( | SeExpr2::Vec3d | val | ) |
| signal

Referenced by ExprColorCurve().

## ◆ setSwatchColor()

void ExprColorCurve::setSwatchColor | ( | QColor | color | ) |

Definition at line 489 of file ExprColorCurve.cpp.

References _scene, _selValEdit, CCurveScene::selValChanged(), and ExprCSwatchFrame::setValue().

Referenced by CCurveControl::setColor().

## ◆ swatchChanged

void ExprColorCurve::swatchChanged | ( | QColor | color | ) |
| signal

Referenced by cvSelectedSlot(), ExprColorCurve(), and internalSwatchChanged().

## Member Data Documentation

## ◆ _interpComboBox

QComboBox* ExprColorCurve::_interpComboBox
| private

Definition at line 174 of file ExprColorCurve.h.

Referenced by cvSelectedSlot(), and ExprColorCurve().

## ◆ _scene

CCurveScene* ExprColorCurve::_scene

Definition at line 156 of file ExprColorCurve.h.

Referenced by addPoint(), CCurveControl::CCurveControl(), CCurveControl::curveChanged(), ExprColorCurve(), openDetail(), and setSwatchColor().

## ◆ _selPosEdit

QLineEdit* ExprColorCurve::_selPosEdit
| private

Definition at line 172 of file ExprColorCurve.h.

Referenced by cvSelectedSlot(), ExprColorCurve(), and selPosChanged().

## ◆ _selValEdit

ExprCSwatchFrame* ExprColorCurve::_selValEdit
| private

Definition at line 173 of file ExprColorCurve.h.

Referenced by cvSelectedSlot(), ExprColorCurve(), getSwatchColor(), and setSwatchColor().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorCurve.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorCurve.cpp